$(function(){
    window._log_cnt = 0;
    $( "#tabs" ).tabs();
    android.loadSetting();
    _listenIp();
//for develop
//android.startProxyServer('3128','30');
});
var _clearLog = function(log){
    obj = $("#log");
    obj.html("");
}
var _debug = function(log){
    var max = 50;
    obj = $("#log");
    window._log_cnt++ ;
    var cnt = window._log_cnt;
    obj.html("<div class='log_li' id='log_li"+cnt+"'>"+cnt + ". " + log+"</div>" + obj.html());
    if (cnt > max){
        $("#log_li"+(cnt-max)).remove();
    }
    
}
var _debugWithToast = function(log){
    obj = $("#log");
    _debug(log);
    android.appearToast(log);
}
var _debugWithToastShort = function(log){
    obj = $("#log");
    _debug(log);
    android.appearToastShort(log);
}

var _setString = function(message){
    android.setString(message);
}

var _appearToast = function(message){
    android.appearToast(message);
}
var _appearToastShort = function(message){
    android.appearToastShort(message);
}

var _droidInfo = function(log){
    android.droidInfo();
}

var _wifiOn = function(){
	android.wifiOn();
}
var _wifiOff = function(){
	android.wifiOff();
}
var _wifiScan = function(){
    android.wifiScan();
}
var _wifiStopScan = function(){
    android.wifiStopScan();
}

var _startProxyServer = function(){
    port = $("#server_port").val();
    timeout = $("#timeout").val();
    user_agent = $("#user_agent").val();
    start_on_boot = $("#start_on_boot").attr('checked');
    view_log = $("#view_log").attr('checked');

    android.startProxyServer(port,timeout,user_agent,start_on_boot,view_log);
}
var _stopProxyServer = function(){
    android.stopProxyServer();
//    $("#link_area").html("");
}
var _listenIp = function(){
    android.listenIp();
}
var _terminate = function(){
    android.terminate();
}

var _reflectSetting = function(s,t,u,start_on_boot,view_log){
    $("#server_port").val(s);
    $("#timeout").val(t);
    $("#user_agent").val(u);
    if(start_on_boot == "true"){
        $("#start_on_boot").attr('checked','checked')
    }else{
        $("#start_on_boot").attr('checked','')
    }
    if(view_log == "true"){
        $("#view_log").attr('checked','checked')
    }else{
        $("#view_log").attr('checked','')
    }
}

var _saveSetting = function(){
    android.saveSetting(
    $("#server_port").val(),
    $("#timeout").val(),
    $("#user_agent").val(),
    $("#start_on_boot").attr('checked'),
    $("#view_log").attr('checked')
    );
}

var _en_hint = function(){
    $("#help_jp").fadeOut("fast");
    $("#help_en").fadeIn("slow");
}
var _jp_hint = function(){
    $("#help_en").fadeOut("fast");
    $("#help_jp").fadeIn("slow");
}
